
<?php $sectioncolor = get_sub_field( 'couleur_du_bloc' ); ?>
<?php $sectionpadding = get_sub_field( 'espacement_vertical' ); ?>
<?php $marge_interne_basse = get_sub_field( 'marge_interne_basse' ); ?>

<section class="<?php echo $sectioncolor . ' ' . $sectionpadding . ' ' . $marge_interne_basse ?>">
	<div class="container">

		<?php get_template_part('parts/acf_sectiontitle'); ?>

        <?php $nombre_colonnes = get_sub_field( 'nombre_colonnes_mobile' ); ?>
		<?php if ( have_rows( 'liens' ) ) : ?>
			<div class="biglinks _4home <?php echo $nombre_colonnes; ?>">
				<?php while ( have_rows( 'liens' ) ) : the_row(); ?>

					<?php if ( get_sub_field( 'biglink_link_display' ) == 1 ) : ?>
                        <?php $title =  get_sub_field( 'titre' ); ?>
                        <?php $icone = get_sub_field( 'icone' ); ?>
                        <?php if ( have_rows( 'lien' ) ) : ?>
                            <?php while ( have_rows( 'lien' ) ) : the_row(); ?>
                                <?php if( get_sub_field('type_de_lien') == '_blank' ) : ?>
                                    <a target="<?php the_sub_field( 'type_de_lien' ); ?>" href="<?php the_sub_field( 'urlexterne' ); ?>" class="biglink w-inline-block">
                                        <?php if ( $icone ) { ?>
                                            <?php echo wp_get_attachment_image( $icone, 'full', "", array( "class" => "biglink_img" ) ); ?>
                                        <?php } ?>
                                        <div class="biglink_title primarycolor"><?php echo $title; ?></div>
                                        <div class="biglink_linkbox">
                                            <div class="biglink_sublink"><?php the_sub_field( 'texte_du_bouton' ); ?></div>
                                            <div class="newsbox_subline"></div>
                                        </div>
                                    </a>
                                <?php else : ?>
                                    <a target="<?php the_sub_field( 'type_de_lien' ); ?>" href="<?php the_sub_field( 'lien_interne' ); ?>" class="biglink w-inline-block">
                                        <?php if ( $icone ) { ?>
                                            <?php echo wp_get_attachment_image( $icone, 'full', "", array( "class" => "biglink_img" ) ); ?>
                                        <?php } ?>
                                        <div class="biglink_title primarycolor"><?php echo $title; ?></div>
                                        <div class="biglink_linkbox">
                                            <div class="biglink_sublink"><?php the_sub_field( 'texte_du_bouton' ); ?></div>
                                            <div class="newsbox_subline"></div>
                                        </div>
                                    </a>
                                <?php endif; ?>
                            <?php endwhile; ?>
                        <?php endif; ?>
					<?php else : ?>
						<div class="biglink w-inline-block">
							<?php $icone = get_sub_field( 'icone' ); ?>
							<?php if ( $icone ) { ?>
								<?php echo wp_get_attachment_image( $icone, 'full', "", array( "class" => "biglink_img" ) ); ?>
							<?php } ?>
							<div class="biglink_title primarycolor"><?php the_sub_field( 'titre' ); ?></div>
						</div>
					<?php endif; ?>

				<?php endwhile; ?>
			</div>
		<?php endif; ?>

	</div>
</section>