<?php $sectioncolor = get_sub_field( 'couleur_du_bloc' ); ?>
<?php $sectionpadding = get_sub_field( 'espacement_vertical' ); ?>
<?php $marge_interne_basse = get_sub_field( 'marge_interne_basse' ); ?>

<section id="counter" class="<?php echo $sectioncolor . ' ' . $sectionpadding . ' ' . $marge_interne_basse ?>">
	<div class="container">

		<?php get_template_part('parts/acf_sectiontitle'); ?>

		<?php if ( have_rows( 'colonnes' ) ) : ?>
			<div class="blockcontent_4columns">
				<div class="blockcolumn">
					<?php while ( have_rows( 'colonnes' ) ) : the_row(); ?>
						<div class="column_item">
							<?php $number = get_sub_field( 'chiffre' ); ?>
							<?php $icone = get_sub_field( 'icone' ); ?>
							<?php if ( $icone ) { ?>
								<div class="column_item__small_icon">
									<img class="blockcolumn_img" src="<?php echo $icone['url']; ?>" alt="<?php echo $icone['alt']; ?>" />
								</div>
							<?php } ?>
							<div class="bloc_column__number">
								<span class='counter counter-count <?php the_sub_field( 'couleur_du_titre' ); ?>'><?php echo $number; ?></span>
								<?php the_sub_field( 'symbole' ); ?>
							</div>
	                		<div class="column_item__content <?php the_sub_field( 'couleur_du_texte' ); ?>">
								<p class="column_item__p"><?php the_sub_field( 'texte' ); ?></p>
							</div>
							<?php get_template_part('parts/acf_lien'); ?>
						</div>
					<?php endwhile; ?>
				</div>
			</div>
		<?php endif; ?>

	</div>
</section>


